Skip to main content
GET
/
api
/
v1
/
generation
/
models
List generative models
curl --request GET \
  --url https://api.melius.com/api/v1/generation/models \
  --header 'Authorization: Bearer <token>' \
  --header 'x-team-id: <api-key>'
import requests

url = "https://api.melius.com/api/v1/generation/models"

headers = {
    "Authorization": "Bearer <token>",
    "x-team-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};

fetch('https://api.melius.com/api/v1/generation/models', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "models": [
    {
      "name": "<string>",
      "displayName": "<string>",
      "variants": [
        {
          "mode": "<string>",
          "tier": "<string>",
          "requiredInputs": [
            "<string>"
          ],
          "optionalInputs": [
            "<string>"
          ],
          "supportsSeed": true,
          "supportedAspectRatios": [],
          "supportedDurations": [
            123
          ],
          "supportedResolutions": [],
          "maxImageInputs": 123,
          "maxNativeOutputs": 123,
          "maxInputArea": 123,
          "estimatedLatency": "<string>",
          "featuredDescription": "<string>",
          "supportsAudioGeneration": true,
          "supportsAudioToggle": true,
          "supportsNegativePrompt": true,
          "billedDurationSource": "input-media",
          "supportedDurationsByResolution": {},
          "supportsCustomResolution": true,
          "maxReferenceImageInputs": 123,
          "maxReferenceImagesWithEndImage": 123,
          "maxVideoInputs": 123,
          "maxAudioInputs": 123,
          "inputImageFileSizeConstraints": {
            "maximumFileBytes": 1,
            "maximumTotalBytes": 1
          },
          "inputReferenceImageFileSizeConstraints": {
            "maximumFileBytes": 1,
            "maximumTotalBytes": 1
          },
          "inputImageDimensionConstraints": {
            "minimumWidth": 1,
            "minimumHeight": 1,
            "maximumWidth": 1,
            "maximumHeight": 1
          },
          "inputImageAspectRatioConstraints": {
            "maximumRatio": 1
          },
          "inputImageMimeTypes": [
            "<string>"
          ],
          "inputReferenceImageMimeTypes": [
            "<string>"
          ],
          "minInputVideoArea": 123,
          "maxInputVideoDurationSeconds": 123,
          "minInputVideoDurationSeconds": 123,
          "maxPromptLength": 123,
          "minPromptLength": 123,
          "estimatedLatencySeconds": 123,
          "cost": {
            "type": "fixed",
            "creditCost": 123
          }
        }
      ],
      "cost": {
        "type": "fixed",
        "creditCost": 123
      },
      "releasedAt": "<string>",
      "supportedInputs": [],
      "estimatedLatency": "<string>",
      "estimatedLatencySeconds": 123,
      "featuredDescription": "<string>",
      "deprecated": true,
      "hiddenFromAgent": true,
      "promoRateLimit": {
        "used": 1,
        "limit": 1,
        "remaining": 1
      },
      "maxPromptLength": 123
    }
  ]
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>",
  "retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Query Parameters

category
enum<string>
required
Available options:
image,
video,
text,
image_tool,
video_tool,
audio

Response

200

models
object[]
required
Last modified on July 9, 2026